%define upstream_name    Nagios-Passive
%define upstream_version v0.3.5

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Submit passive check results to nagios
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Nagios/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Any::Moose)
BuildRequires: perl(Class::Load)
BuildRequires: perl(Crypt::Rijndael)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Gearman::Client)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(MouseX::NativeTraits)
BuildRequires: perl(Nagios::Plugin)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::TempDir)
BuildRequires: perl(version)
BuildArch:  noarch

%description
This is the factory class, currently it creates either a
Nagios::Passive::CommandFile or a Nagios::Passive::ResultPath object. Which
object is created depends on the keys of the hash you supply to the the
create method.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

#%check
#./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.3.5-3.mga4
+ Revision: 513309
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.3.5-2.mga3
+ Revision: 370459
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 shlomif <shlomif> 0.3.5-1.mga3
+ Revision: 330259
- update to v0.3.5

* Wed Oct 17 2012 shlomif <shlomif> 0.3.4-1.mga3
+ Revision: 307627
- New version 0.3.4

* Wed Feb 22 2012 kharec <kharec> 0.3.3-1.mga2
+ Revision: 211861
- disable tests for now
- remove dubious test
- update to v0.3.3

* Sat Dec 10 2011 kharec <kharec> 0.2.2-1.mga2
+ Revision: 180158
- imported package perl-Nagios-Passive


* Sat Dec 10 2011 cpan2dist v0.2.2-1mga
- initial mageia release, generated with cpan2dist
